#========================================================================================
# package      DE_EPAGES::EPagesJ::t::ServiceCheck
# state        private
#========================================================================================
package DE_EPAGES::EPagesJ::t::ServiceCheck;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::EPagesJ::API::ServiceCheck;
use Test::More;

use strict;

sub test {
    my $self = shift;

    my $SUT = DE_EPAGES::EPagesJ::API::ServiceCheck->new({
        'infoClient' => MockedInfoClient->new('version' => '6.17.10.1')
    });

    ok($SUT->checkEpagesJVersion('6.17.9'), 'higher version ok.');
    ok($SUT->checkEpagesJVersion('6.17.10.1'), 'equal version ok.');
    ok($SUT->checkEpagesJVersion('6.17.10.1-SNAPSHOT'), 'snapshot version ok.');
    ok(! $SUT->checkEpagesJVersion('6.17.11'), 'lower version not ok.');

    done_testing();
}

__PACKAGE__->runScript();

package MockedInfoClient; ## no critic (ProhibitMultiplePackages)

sub new {
    my $class = shift;
    my %args  = @_;
    my $self  = bless \%args, $class;
    return $self;
}

sub version {
    my $self = shift;
    return $self->{'version'};
}

1;

